New binary name: gnome-user-docs instead of gnome-user-guide

Bug #1691867 reported by Gunnar Hjalmarsson on 2017-05-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-commander (Ubuntu)
Undecided
Unassigned
gnome-control-center (Ubuntu)
Undecided
Unassigned
gnome-documents (Ubuntu)
Undecided
Unassigned
gnome-flashback (Ubuntu)
Undecided
Unassigned
gnome-getting-started-docs (Ubuntu)
Medium
Gunnar Hjalmarsson
gnome-panel (Ubuntu)
Undecided
Unassigned
gnome-session (Ubuntu)
Undecided
Unassigned
gnome-shell (Ubuntu)
Undecided
Unassigned
gnome-user-docs (Ubuntu)
Medium
Gunnar Hjalmarsson
meta-gnome3 (Ubuntu)
Medium
Unassigned
ubuntu-docs (Ubuntu)
Medium
Gunnar Hjalmarsson
ubuntu-gnome-meta (Ubuntu)
Medium
Unassigned
unity-control-center (Ubuntu)
Undecided
Unassigned
vino (Ubuntu)
Undecided
Unassigned
yelp (Ubuntu)
Undecided
Unassigned

Bug Description

The binary package, which is currently built by the gnome-user-docs source package, is named gnome-user-guide. To bring it into line with upstream, the binary should be named gnome-user-docs.

This affects quite a few packages, which depend/recommend/suggest gnome-user-guide. OTOH, the latter is turned into a transitional dummy package.

Changed in meta-gnome3 (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in ubuntu-docs (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in ubuntu-gnome-meta (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in gnome-getting-started-docs (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in gnome-user-docs (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-user-docs - 3.24.2-0ubuntu2

---------------
gnome-user-docs (3.24.2-0ubuntu2) artful; urgency=medium

  * debian/rules, debian/control.in:
    - Name the binary package(s) gnome-user-docs instead of
      gnome-user-guide (LP: #1691867).
    - Split into language specific binary packages (LP: #1691872).
    - Don't strip translated pages (LP: #1689321).

 -- Gunnar Hjalmarsson <email address hidden> Fri, 19 May 2017 23:31:00 +0200

Changed in gnome-user-docs (Ubuntu):
status: Fix Committed → Fix Released
Changed in gnome-getting-started-docs (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Triaged → Fix Committed
Changed in ubuntu-docs (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-getting-started-docs - 3.24.1-0ubuntu2

---------------
gnome-getting-started-docs (3.24.1-0ubuntu2) artful; urgency=medium

  * debian/control.in:
    - Change dependency due to name change from gnome-user-guide to
      gnome-user-docs (LP: #1691867).
  * debian/rules:
    - Don't strip translated pages (LP: #1689321).

 -- Gunnar Hjalmarsson <email address hidden> Sat, 20 May 2017 16:42:00 +0200

Changed in gnome-getting-started-docs (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-panel - 1:3.24.1-1ubuntu2

---------------
gnome-panel (1:3.24.1-1ubuntu2) artful; urgency=medium

  * Build without -Bsymbolic-functions flag (works around LP: #1689680).
  * Update suggestion: gnome-user-guide → gnome-user-docs (LP: #1691867).

 -- Dmitry Shachnev <email address hidden> Sat, 10 Jun 2017 19:12:29 +0300

Changed in gnome-panel (Ubuntu):
status: New → Fix Released
lolo (loloadam373) on 2017-07-24
Changed in gnome-user-docs (Ubuntu):
assignee: Gunnar Hjalmarsson (gunnarhj) → lolo (loloadam373)
information type: Public → Public Security
Gunnar Hjalmarsson (gunnarhj) wrote :

Spam reverted

Changed in gnome-user-docs (Ubuntu):
assignee: lolo (loloadam373) → Gunnar Hjalmarsson (gunnarhj)
information type: Public Security → Public
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-documents - 3.25.91-1

---------------
gnome-documents (3.25.91-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release
  * Update build-dependencies according to upstream configure.ac changes:
    - drop intltool (in favor of gettext)
    - switch to tracker 2.0
    - bump required gtk+ and gjs versions
  * Drop debian/patches/git_require-gepub-0.5.patch, included upstream.
  * Refresh remaining patches to apply without fuzz.

  [ Jeremy Bicha ]
  * Recommend gnome-user-docs instead of transitional package (LP: #1691867)

 -- Jeremy Bicha <email address hidden> Wed, 13 Sep 2017 18:49:10 -0400

Changed in gnome-documents (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package meta-gnome3 - 1:3.22+5ubuntu1

---------------
meta-gnome3 (1:3.22+5ubuntu1) artful; urgency=medium

  * Sync with Debian. Remaining changes:
    - Drop libreoffice-evolution depends
    - Allow epiphany-browser to fulfill browser dependency on s390x
    - Have gnome-games continue to depend on aisleriot since Ubuntu's
      aisleriot doesn't use gconf
    - Unversion dependencies since Ubuntu doesn't have the latest versions:
      + gnome-user-share
      + vino
  * Build-depend on gnome-shell to only build on architectures where it's
    available (LP: #1712083)

meta-gnome3 (1:3.22+5) unstable; urgency=medium

  * core: Depend on gnome-user-docs instead of transitional pkg
    (LP: #1691867)
  * core: Allow chromium-browser to fulfill browser dependency
    (for Ubuntu)
  * gnome: Recommend nautilus-extension-brasero instead of brasero

meta-gnome3 (1:3.22+4) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Make gnome-core metapackage depend against gstreamer1.0-packagekit, this
    will allow automatic codec installation

  [ Jeremy Bicha ]
  * core: Replace tracker-gui with tracker (tracker-gui is being removed)
  * gnome: Add gnome-todo. It's part of GNOME 3.26.

meta-gnome3 (1:3.22+3) unstable; urgency=medium

  * debian/control.in: Install shotwell by default again and keep gnome-photos
    as an alternative. gnome-photos is not mature enough for now.

meta-gnome3 (1:3.22+2) unstable; urgency=medium

  * Add chrome-gnome-shell dependency to gnome-core. This enables Chromium and
    newer versions of Firefox to use https://extensions.gnome.org.

 -- Jeremy Bicha <email address hidden> Mon, 18 Sep 2017 22:42:14 -0400

Changed in meta-gnome3 (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers